Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class PropagatingFontFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.FontFieldEditor
              org.eclipse.jface.text.PropagatingFontFieldEditor
                  org.eclipse.ui.texteditor.WorkbenchChainedTextFontFieldEditor
                      org.eclipse.ui.texteditor.PropagatingFontFieldEditor

Deprecated. use WorkbenchChainedTextFontFieldEditor

public final class PropagatingFontFieldEditor
extends WorkbenchChainedTextFontFieldEditor

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`PropagatingFontFieldEditor(String name, String labelText, Composite parent)` Deprecated. use WorkbenchChainedTextFontFieldEditor

Methods inherited from class org.eclipse.ui.texteditor.WorkbenchChainedTextFontFieldEditor
`startPropagate`

Methods inherited from class org.eclipse.jface.text.PropagatingFontFieldEditor
`doLoad, doLoadDefault, startPropagate`

Methods inherited from class org.eclipse.jface.preference.FontFieldEditor
`adjustForNumColumns, applyFont, doFillIntoGrid, doStore, getChangeControl, getNumberOfControls, getPreferredPreviewHeight, getPreviewControl, getValueControl, setChangeButtonText, setEnabled, setToDefault`

Methods inherited from class org.eclipse.jface.preference.FieldEditor
`checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropagatingFontFieldEditor

    public PropagatingFontFieldEditor(String name,
                                      String labelText,
                                      Composite parent)

  Deprecated. use WorkbenchChainedTextFontFieldEditor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.